D-Bus 1.13.18

Data Structures | Typedefs
Basic types
D-Bus low-level public API

dbus_bool_t, dbus_int32_t, etc. More...

## Data Structures
struct | DBus8ByteStruct
| An 8-byte struct you could use to access int64 without having int64 support. More...
union | DBusBasicValue
| A simple value union that lets you access bytes as if they were various types; useful when dealing with basic types via void pointers and varargs. More...

## Typedefs
typedef dbus_uint32_t | dbus_bool_t
| A boolean, valid values are TRUE and FALSE. More...

## Detailed Description

dbus_bool_t, dbus_int32_t, etc.

Typedefs for common primitive types.

## Typedef Documentation

## ◆ dbus_bool_t

dbus_bool_t

A boolean, valid values are TRUE and FALSE.

Definition at line 35 of file dbus-types.h.